Bug 66793 - RFE: Usability; confusing "Format?" dialog
RFE: Usability; confusing "Format?" dialog
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-16 17:50 EDT by Ed Voncken
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-16 23:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Voncken 2002-06-16 17:50:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
Software:
- RedHat Linux 7.2 i386
- boot.img copied to floppy
- During install over a previous RH7.2 installation
- While setting disk layout, installer pops up the following message:

-------------------------------------------------
[Format?]
You have chosen not to format a pre-existing partition which is being mounted
under a system directory. Unless you have particular needs to preserve data on
this partition, it is highly recommended you format this partition to guarantee
the data formerly on the partition does not corrupt your new installation.

Are you sure you want to do this?

[No] [Yes]
-------------------------------------------------

This question dialog is very confusing.

- The caption reads "Format?" and the possible answers are "No" or "Yes". The
actual effect is opposite; "Yes" does not format the partition.

- "Are you sure you want to do this?" does not specifically refer
  to an action.

Suggestion:
-----------

1) Change the caption to "Preserve data?" and rephrase the question, for example:
   "Are you sure you want to preserve existing data on this partition?"

2) "Format partition" and "Preserve data" are opposite actions.
   It would seem best to only use one of these concepts in this dialog box; this
would avoid confusion.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use boot.img from RH7.2 CD and boot from floppy
2. Install over a previous RH7.2 installation
3. Set disk layout

	

Actual Results:  I became confused and had to go to a pub to relax ;)

Additional info:
Comment 1 Jeremy Katz 2002-06-16 23:31:36 EDT
Assigning to engineer
Comment 2 Michael Fulbright 2002-06-20 23:08:59 EDT
I've changed these dialogs internally for the next release to reflect your
suggestions, and to avoid the 'Yes/No' type of question.

Note You need to log in before you can comment on or make changes to this bug.